Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkLightCollection Class Reference

`#include <vtkLightCollection.h>`

Inheritance diagram for vtkLightCollection:

[legend]
Collaboration diagram for vtkLightCollection:

[legend]
List of all members.

## Detailed Description

a list of lights

Date:
  2002/08/22 18:39:30

Revision:
  1.43

vtkLightCollection represents and provides methods to manipulate a list of lights (i.e., vtkLight and subclasses). The list is unsorted and duplicate entries are not prevented.

See also:
  vtkCollection vtkLight

Created by:
  - Law, Charles
  - Martin, Ken

CVS contributions (if > 5%):
  - Law, Charles (36%)
  - Martin, Ken (31%)
  - Schroeder, Will (14%)
  - Cedilnik, Andy (8%)
  - Kelly, Ann (7%)

CVS logs (CVSweb):
  - .`h` (`/Rendering/vtkLightCollection.h)`
  - .`cxx` (`/Rendering/vtkLightCollection.cxx)`

Definition at line 52 of file vtkLightCollection.h.

## Public Types
typedef vtkCollection | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
virtual void | PrintSelf (ostream &os, vtkIndent indent)
void | AddItem (vtkLight *a)
vtkLight * | GetNextItem ()
## Static Public Methods
vtkLightCollection * | New ()
int | IsTypeOf (const char *type)
vtkLightCollection * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkLightCollection ()
| ~vtkLightCollection ()

## Member Typedef Documentation

typedef vtkCollection vtkLightCollection::Superclass

| Reimplemented from vtkCollection. Definition at line 56 of file vtkLightCollection.h.

## Constructor & Destructor Documentation

vtkLightCollection::vtkLightCollection | ( |  | ) | `[inline, protected]`

| Definition at line 67 of file vtkLightCollection.h.

vtkLightCollection::~vtkLightCollection | ( |  | ) | `[inline, protected]`

| Definition at line 68 of file vtkLightCollection.h.

## Member Function Documentation

vtkLightCollection* vtkLightCollection::New | ( |  | ) | `[static]`

| Construct with empty list. Reimplemented from vtkCollection.

virtual const char* vtkLightCollection::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkCollection.

int vtkLightCollection::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkCollection.

virtual int vtkLightCollection::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkCollection.

vtkLightCollection* vtkLightCollection::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkCollection.

virtual void vtkLightCollection::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkCollection.

void vtkLightCollection::AddItem | ( | vtkLight * | a | ) |

| Add a light to the list.

vtkLight* vtkLightCollection::GetNextItem | ( |  | ) |

| Get the next light in the list. NULL is returned when the collection is exhausted.

The documentation for this class was generated from the following file:

- Rendering/vtkLightCollection.h